Package org.eclipse.jdt.core.refactoring.participants

# Class ChangeMethodSignatureArguments.Parameter

java.lang.Object
org.eclipse.jdt.core.refactoring.participants.ChangeMethodSignatureArguments.Parameter

Enclosing class:
  ChangeMethodSignatureArguments

public static final class ChangeMethodSignatureArguments.Parameter extends Object
Instances of `ChangeMethodSignatureArguments.Parameter` are used to describe the new parameters after a change method signature refactoring.

## Constructor Summary

Constructors
Constructor
Description
`Parameter(int oldIndex, String newName, String newSignature, String defaultValue)`
Creates a `ChangeMethodSignatureArguments.Parameter`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultValue()`
The default value for new parameters or `null`.
`String`
`getName()`
Returns the new name of the parameter.
`int`
`getOldIndex()`
Returns the index of the parameter in the original method or `-1` if the parameter has been added.
`String`
`getType()`
Returns the new type of the parameter in signature notation (See `Signature`).
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Parameter

public Parameter(int oldIndex, String newName, String newSignature, String defaultValue)
Creates a `ChangeMethodSignatureArguments.Parameter`.

Parameters:
  `oldIndex` - the index of the parameter in the original method or `-1` if the parameter is a new parameter.
  `newName` - the new name of the parameter.
  `newSignature` - the new type of the parameter in signature notation (See `Signature`).
  `defaultValue` - the default value for new parameters or `null`.

## Method Details

### getOldIndex

public int getOldIndex()
Returns the index of the parameter in the original method or `-1` if the parameter has been added.

Returns:
  the index of the parameter in the original method or `-1` if the parameter has been added

### getName

public String getName()
Returns the new name of the parameter. If the name has not been changed by the refactoring, the original parameter name is returned.

Returns:
  the new parameter name

### getType

public String getType()
Returns the new type of the parameter in signature notation (See `Signature`). If the type has not been changed by the refactoring, the original type signature is returned.

Returns:
  the the new type

### getDefaultValue

public String getDefaultValue()
The default value for new parameters or `null`.

Returns:
  returns the default value for new parameters or `null`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`